package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class WavesCreateDTO {

    @ApiModelProperty(value = "出库单id集合",required = true)
    private List<String> billIdList;

    @ApiModelProperty(value = "货主ID")
    private String consignorid;

    @ApiModelProperty(value = "仓库ID",required = true)
    private String warehouseId;

    @ApiModelProperty(value = "分组条件（默认按客户/按路线）")
    private String groupCondtion;

    @ApiModelProperty(value = "订单类型(1：货主转换)")
    private String billType;

    @ApiModelProperty(value = "订单结构（2B/默认2C）")
    private String billStruct;

    @ApiModelProperty(value = "是否特殊订单类型 Y 特殊订单 N 正常订单")
    private String isSpecial;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<String> getBillIdList() {
        return billIdList;
    }

    public void setBillIdList(List<String> billIdList) {
        this.billIdList = billIdList;
    }

    public String getConsignorid() {
        return consignorid;
    }

    public void setConsignorid(String consignorid) {
        this.consignorid = consignorid;
    }

    public String getGroupCondtion() {
        return groupCondtion;
    }

    public void setGroupCondtion(String groupCondtion) {
        this.groupCondtion = groupCondtion;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getBillStruct() {
        return billStruct;
    }

    public void setBillStruct(String billStruct) {
        this.billStruct = billStruct;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getIsSpecial() {
        return isSpecial;
    }

    public void setIsSpecial(String isSpecial) {
        this.isSpecial = isSpecial;
    }
}
